Вы можете помочь развитию проекта: https://linux-gaming.ru/donate/
-----------------------------------------
История изменений:

###Scripts version 2248### Дата: 26.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* создание ярлыка в "МЕНЮ -> Игры" отделены от создания на "Рабочем столе"
* добавлено условие использования шрифтов из WINE Proton, только если нет оригинальных шрифтов в префиксе
* исправлен выбор установки библиотек в префикс менеджере PortProton
* создание симлинков в PortProton переведены с прямых путей, на относительные
* добавлена настройка "VKBASALT_USER_CONF" для использования системных настроек vkBasalt (спасибо Arta48)
* обновлен установщик "EVE Online Launcher" на актуальную версию (спасибо cefeiko)

###Scripts version 2247### Дата: 23.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* улучшена работа портативной версии gamemode
* исправление опечаток
* добавлена очистка data/tmp каталога от битых (недокаченных) архивов, перед запуском PortProton

###Scripts version 2246### Дата: 20.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - исправлен запуск Modern Warships после его обновления
* HOTFIX - исправлен запуск с gamescope
* возвращена переменная REDUCE_PULSE_LATENCY в настройки при запуске на wayland
* по умолчанию при создании ярлыка снят выбор с пункта "создать ярлык для STEAM"
* заменена настройка PW_RESTORE_RESOLUTION на автоматический возврат исходного разрешения главного монитора после завершения игры
* улучшена автоматическая настройка размера шрифта в MANGOHUD (при использовании более одного монитора)

###Scripts version 2245### Дата: 19.01.2024 / Размер скачиваемого обновления: 350 мегабайт
* обновлен WINE_LG до версии 9-0 и добавлены шрифты из proton steam
* обновлен пакет библиотек контейнера libs_v46
* обновлен MANGOHUD до версии 0.7.0 в контейнере (спасибо Boria138)
* исправлено отображение работы gamemode в MANGOHUD (спасибо Boria138)
* улучшен функционал выбора видеокарты nvidia с гибридной графикой
* небольшие улучшения переводов
* добавлена автоустановка игры Modern Warships (спасибо ValoKarDin)
* обновлен автоустановщик и исправлена работа лончера GOG Galaxy 
* обновлен автоустановщик и исправлена работа игры CALIBER

###Scripts version 2244### Дата: 14.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* обновлен PROTON_LG до версии 8-25-2 (добавлены шрифты из proton steam)
* исправлено отображение версии скриптов после переустановки PortProton из настроек самого PortProton

###Scripts version 2243### Дата: 12.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: Исправлено самопроизводное переключение префикса при использовании интерфейса настройки MANGOHUD

###Scripts version 2242### Дата: 11.01.2024 / Размер скачиваемого обновления: 8 мегабайт
* добавлен графический интерфейс для настройки MANGOHUD (спасибо Boria138)
* обновлены версии:
    DXVK_GIT_VER 2.3-26
    VKD3D_GIT_VER 1.1-3821

###Scripts version 2241### Дата: 28.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - VKD3D (определение DX12 в некоторых играх)

###Scripts version 2240### Дата: 28.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* удалена переменная "DX12_DISABLE" из EDIT_DB (устаревшая функция)
* произведен перенос проверки драйвера Vulkan в режим создания лога
* обновлена проверка версии игры World Of Sea Battle перед установкой
* удалено предупреждение о Wayland
* добавлена переменная "PW_RESTORE_RESOLUTION" в EDIT_BD (спасибо Boria138)

###Scripts version 2239### Дата: 17.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлен запуск League of Legends (для исправления запустите автоустановку)
* добавлена корректная проверка драйвера vulkan, без установки в систему vulkan-tools
* реализовано автоматическое добавление примонтированных дисков в префикс (спасибо Boria138)
* исправлен запуск GAMESCOPE при наличии нескольких видеокарт NVIDIA в системе (спасибо Vano)

###Scripts version 2238### Дата: 12.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлена совмеcтная работа GAMESCOPE и vkBasalt
* оптимизировано создание и обновление префикса
* исправлено отключение MANGOHUD в настройках
* добавлена кнопка сброса в настройках при запуске exe (для востановления настроек по умолчанию)
* добавлено принудительное отображение настроек запуска exe файла при запуске ярлыка из интерфейса PortProton
* добавлены всплывающие подсказки во вкладке установки эмуляторов (спасибо Akai)
* добавлено предупреждение если нет работающего драйвера Vulkan (спасибо Boria138)

###Scripts version 2237### Дата: 08.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* объединено включение MANGOHUD в настройках (32-х и 64-х битные)
* исправлена работа vkBasalt совместно с gamescope
* исправлен запуск некоторых игр, которые работали только в режиме создания лога
* исправлен выбор видеокарты при запуска с gamescope (спасибо Boria138)
* новые версии wine скачиваются только при условии его выбора после запуска, а не перед запуском PortProton

###Scripts version 2236### Дата: 07.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* в настройках перед запуском игры добавлена возможность включения GAMESCOPE (при условии что он установлен в системе)
* исправлена установка эмулятора Citra

###Scripts version 2235### Дата: 06.12.2023 / Размер скачиваемого обновления: 8 мегабайт
* исправлено отсутствие иконки osu! в списке установленных приложений
* обновлена автоустановка Panzar и исправлено создание иконки
* обновлена автоустановка GOG Galaxy
 - добавлено автоматическое определение актуальной версии для установки
 - уcтановка производится в отдельный префикс GOG
 - автоустановка снова производится в тихом режиме (без вопросов)

###Scripts version 2234### Дата: 03.12.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-25-1 (исправлена работа BattleNET)
* исправлено создание ярлыков в STEAM при отсутствии shortcuts.vdf файла
* исправлено создание иконок для стандартных ярлыков (спасибо Arta48)
* добавлена возможность создавать ppdb файлы на символьные ссылки (исправление для одинаковых имён exe файлов)
* созданы индивидуальные файлы настроек для игр:
 - Genshin Impact
 - Warframe
 - Rockstar
(для применения требуется повторный запуск автоустановки необходимой игры)

* для лончера World of Sea Battle создаются 2 ярлыка:
 - World of Sea Battle (EN) - для первого входа (логина) в игру
 - World of Sea Battle (RU) - для возможности писать в чате на русском языке

###Scripts version 2233### Дата: 26.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX - создание ярлыков в STEAM

###Scripts version 2232### Дата: 26.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* добавлен глобальный выбор видеокарты в настройках PortProton при запуске игры/программы (спасибо Boria138)
* добавлено создание ярлыков в STEAM (Спасибо: Akai, Boria138, Cefeiko, Vano, redroot, проект steamtinkerlaunch и всевидящий set -x)
* дополнительные улучшения скриптов
* исправлена проблема скачивания установщиков игр (сайты которых не работают с докачкой файлов с помощью wget)
* начата миграция установки PortProton v1.3 с нового репозитория https://github.com/Castro-Fidel/PortProton_ALT

###Scripts version 2231### Дата: 24.11.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-24
* обновлён установщик World of Sea Battle x64 (спасибо @Iglu47 и Cefeiko)
* небольшие улучшения локализации (спасибо Boria138)

###Scripts version 2230### Дата: 10.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* подготовка к обновлению установoщика PortProton

###Scripts version 2229### Дата: 08.11.2023 / Размер скачиваемого обновления: 200 мегабайт
* обновлен PROTON_LG до версии 8-22
* обновлены версии:
    DXVK_GIT_VER 2.3-13
    VKD3D_GIT_VER 1.1-3727
* добавлено включение USE_GALLIUM_ZINK предоставляющая возможность трансляции OpenGL в Vulkan (спасибо Htylol)
* улучшены информативность и читаемость логов (спасибо Boria138)

###Scripts version 2228### Дата: 02.11.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшено определение видеокарт серии RTX
* исправлена работа гибридной графики на некоторых конфигурациях ноутбуков (но еще не на всех)

###Scripts version 2227### Дата: 22.10.2023 / Размер скачиваемого обновления: 520 мегабайт
* обновлен PROTON_LG до версии 8-20 (LGC и WGC более не требуют отдельной версии WINE)
* обновлен WINE_LG до версии 8-18 (улучшена работа игр vkPlay: исправлены видео в телевизорах Atomic Heart, работает игра Кужлёвка)
* обновлен пакет библиотек libs_v44:
    pressure-vessel 0.20230928.1
    sniper 0.20231005.62324
    уменьшен размер архива с библиотеками
* ускорено создание и обновление префикса
* улучшена локализация (спасибо Boria138)
* тест: добавлен выбор драйвера для AMD  (спасибо Boria138)
* небольшие дополнительные улучшения скриптов

###Scripts version 2226### Дата: 09.10.2023 / Размер скачиваемого обновления: 8 мегабайт
* обновлены автоустановки лончеров (спасибо Boria138)
* небольшие исправления скриптов

###Scripts version 2225### Дата: 08.10.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшен режим создания лога
* во вкладку "НАСТРОИТЬ" добавлено включение "USE_SYSTEM_VK_LAYERS" что дает возможность использовать системные mangohud, vkBasalt, obs-vkcapture и прочие
* во вкладку "НАСТРОИТЬ" добавлено включение "USE_OBS_VKCAPTURE" что дает возможность записи в OBS Studio с помощью obs-vkcapture (ВНИМАНИЕ: будет включено принудительное использование системных mangohud, vkBasalt, obs-vkcapture и прочих приложений использующих vulkan layers)
* обновлена установка League of Legends

###Scripts version 2224### Дата: 28.09.2023 / Размер скачиваемого обновления: 210 мегабайт
* глобальная чистка database файлов (спасибо Boria138)
* обновлен PROTON_LG до версии 8-17 (исправлены вкладки сообщество и поддержка в игре Genshin Impact)
* ускорен поиск nvngx.dll при включении NVAPI и DLSS
* добавлена проверка на запуск .desktop файла несуществующего приложения

###Scripts version 2223### Дата: 23.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* обновлен префикс DOTNET
* временно заблокировано использование USE_US_LAYOUT под Wayland

###Scripts version 2222### Дата: 22.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: обновление префикса, на некоторых ОС
* WGC и LGC устанавливаются в отдельные префиксы
* исправлена очистка префикса DOTNET
* небольшие изменения вкладки настроек WINE
* исправлена функция принудительного использования английской раскладки

###Scripts version 2221### Дата: 19.09.2023 / Размер скачиваемого обновления: 230 мегабайт
* обновлен PROTON_LG до версии 8-15-1 (исправлено обновление префикса)
* добавлены параметры (спасибо Boria138)
    REDUCE_PULSE_LATENCY - 'Уменьшить задержку pulseaudio для исправления прерывистого звука'
    USE_US_LAYOUT - 'Принудительное использование английской раскладки (полезно для игр в которых управление верно работает исключительно на английской раскладке)'

###Scripts version 2220### Дата: 17.09.2023 / Размер скачиваемого обновления: 260 мегабайт
* HOTFIX: установка Plarium Play перенесена в префикс DOTNET
* HOTFIX: Запуск игры Мир Кораблей (для исправления запустите автоустановку Lesta Game Center)
* обновлены версии:
    DXVK_GIT_VER 2.3-5
    VKD3D_GIT_VER 1.1-3622
* обновлен PROTON_LG до версии 8-15

###Scripts version 2219### Дата: 03.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* HOTFIX: запуск игры Starfield
* исправлена установка dotnet 4.6.1 необходимый для лончера Plarium Play

###Scripts version 2218### Дата: 03.09.2023 / Размер скачиваемого обновления: 8 мегабайт
* улучшена проверка RTX видеокарт
* добавлена проверка на гибридную графику NVIDIA + intel/amd (спасибо Boria138)
* добавлена переменная "__VK_LAYER_NV_optimus=NVIDIA_only" при включении "PRIME_RENDER_OFFLOAD" (спасибо Boria138)
* включена докачка файлов при проблемах со скачиванием
* удаление предыдущих версий libs и plugins происходит только при успешном завершении скачивания новых версий
* скачивание можно пропустить и использовать PP с предыдущими версиями библиотек (кроме WINE и библиотек Vulkan API)
* по умолчанию сделан выбор PROTON_LG и WINE_x.x_LG
* добавлена возможность использования по умолчанию стабильных версий DXVK и VKD3D (добавлением export PW_VULKAN_USE=1 в user.conf)
* исправлена ошибка c VKD3D_FEATURE_LEVEL 12_0 с запуском игр на стабильных версиях DXVK и VKD3D
* исправлена установка STALCRAFT

###Scripts version 2217### Дата: 31.08.2023 / Размер скачиваемого обновления: 8 мегабайт
* временно отключено определение Vulkan API из за возможных проблем на стороне vulkaninfo 
* новейшие версии DXVK и VKD3D выбраны по умолчанию (более востребованы для новейших игр)

###Scripts version 2216### Дата: 30.08.2023 / Размер скачиваемого обновления: 650 мегабайт
* обновлен PROTON_LG до версии 8-14:
    нет лишнего символа, на экране, при запуске STEAM_PP
    исправлена установка BattleNET (еще раз)
* обновлены версии:
    DXVK_STABLE_VER="2.2-34"
    DXVK_GIT_VER="2.2-164"
    VKD3D_STABLE_VER="1.1-3445"
    VKD3D_GIT_VER="1.1-3556"
* обновлен пакет библиотек libs_v44:
    pressure-vessel 0.20230718.0
    sniper 0.20230718.55074
* добавлено автоматическое определение видеокарт NVIDIA RTX (спасибо Boria138)
* добавлено автоматическое включение поддержки DLSS и RAY TRACING для видеокарт NVIDIA RTX
* добавлена проверка на версию Vulkan API для совместимости с видеокартами без Vulkan API 1.3

###Scripts version 2215### Дата: 18.08.2023 / Размер скачиваемого обновления: 8 мегабайт
* добавлено зеркало скриптов: https://gitlab.eterfund.ru/Castro-Fidel/
* отключено создание сторонних (не работающих) ярлыков средствами wine (при использовании версий wine отличных от proton)

###Scripts version 2214### Дата: 04.08.2023 / Размер скачиваемого обновления: 250 мегабайт
* обновлен PROTON_LG до версии 8-11
* обновлен в "Авторы и спасибы" список бустеров которые хоть раз поддержали проект.
(Для тех кто хочет присоедениться к поддержке проекта: https://boosty.to/portwine-linux.ru)

###Scripts version 2213### Дата: 03.08.2023 / Размер скачиваемого обновления: 250 мегабайт
* обновлен PROTON_LG до версии 8-10 (фикс UBISOFT: купленные игры работают, для магазина нужен VPN)
* принято и доработано обновение от Boria138 добавляющее настройку ограничения использования ядер ЦПУ. (WINE_CPU_TOPOLOGY)
* добавлен фикс значительно уменьшающий нагрузку CPU и повышающий FPS в Unity играх (при условии более 8 логических ядер процессора)
* исправлены изменение и отключение огранчения FPS

###Scripts version 2212### Дата: 01.08.2023 / Размер скачиваемого обновления: 10 мегабайт
* добавлено использование D8VK (транслятор DirectX 8 в Vulkan API) для старых игр, при использовании DXVK и VKD3D 

###Scripts version 2211### Дата: 31.07.2023 / Размер скачиваемого обновления: 9 мегабайт основные файлы и 90 мегабайт при запуске игры League Of Legends
* исправлена работа League Of Legends (обновлен WINE_LOL_GE_8.12)
* обновлен README на GitHub (спасибо Boria138)

###Scripts version 2210### Дата: 28.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* исправлены установка и обновление лончеров (требуется тест на разных системах):
    BattleNET
    STEAM_PP
* множество небольших изменений скриптов

###Scripts version 2209### Дата: 26.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* добавлена автоустановка игры: "Battle Of Space Raiders" (спасибо Boria138)
* приняты небольшие исправления от Boria138
* HOTFIX - исправлены проблемы работы PROTON_LG_8-X на некоторых системах (отображение черных лончеров и потеря библиотек необходимых для игр)

###Scripts version 2208### Дата: 24.07.2023 / Размер скачиваемого обновления: 9 мегабайт.
* добавлена возможность изменения названия при создании "ярлыка" (спасибо Maks1mS)
* приняты небольшие исправления от Boria138
* исправлена установка Genshin Impact

###Scripts version 2207### Дата: 23.07.2023 / Размер скачиваемого обновления: 250 мегабайт.
* обновлен PROTON_LG до версии 8-9
* обновлены версии:
    DXVK_GIT_VER="2.2-137"
    VKD3D_GIT_VER="1.1-3516"

###Scripts version 2206### Дата: 07.07.2023 / Размер скачиваемого обновления: 250 мегабайт.
* обновлен PROTON_LG до версии 8-6 (совместно с версией MONO 8.0)
* обновлены версии:
    DXVK_GIT_VER="2.2-116"
    VKD3D_GIT_VER="1.1-3488"
* добавлена автоустановка игры: Guild Wars 2

###Scripts version 2205### Дата: 01.07.2023 / Размер скачиваемого обновления: 240 мегабайт.
* обновлен PROTON_LG до версии 8-4
* с версией PROTON_LG_8-4 снова работает игра "Мир Кораблей"
* с версией PROTON_LG_8-4 снова работает лончер "Ubisoft Connect"

###Scripts version 2204### Дата: 29.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* улучшение локализации (спасибо Boria138)
* обновлены автоустановки LGC и WGC

###Scripts version 2203### Дата: 23.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* дополнены всплывающие подсказки в меню настроек vkBasalt (спасибо Boria138)
* обновлен установщик Battle.net

###Scripts version 2202### Дата: 15.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* возвращена установка Genshin Impact. (Снова заработал, на долго?)
* исправлена загрузка WINE версий PROTON-GE

###Scripts version 2201### Дата: 12.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* улучшена читаемость вывода при запуске portproton из терминала 
* исправлен запуск игры World of Sea Battle
* добавлен выбор файла настроек перед запуском setup.exe

###Scripts version 2200### Дата: 06.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* обновлен WINE для League of Legends (Для применения изменений требуется снова запустить автоустановку League of Legends)

###Scripts version 2199### Дата: 05.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* добавлен фикс для установки некоторых репаков от xatab
* удалена функция: check_nvidia_vk_icd_file (в ней теперь нет необходимости)

###Scripts version 2198### Дата: 02.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* HOTFIX №2 для включения DLSS
* HOTFIX выбора языка интерфейса

###Scripts version 2197### Дата: 02.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* HOTFIX для включения DLSS

###Scripts version 2196### Дата: 01.06.2023 / Размер скачиваемого обновления: 9 мегабайт.
* исправлено переключение языка в PortProton
* успешно проверена работа нативных версий DLSS и DXR в Alt Linux на видеокартах от NVIDIA серии RTX
* добавлен файл настроек для новой игры: SystemShockRemake
* обновлен файл настроек STEAM с онлайн фиксом (спасибо Boria | Arch | GNOME) Для применения изменений требуется снова запустить автоустановку STEAM
* небольшие улучшения интерфейса
* в PortProton/data/user.conf добавлена переменная для ноутбуков с гибридной графикой: "export optirun_on=    #nvidia-prime-run or prime-run"
* добавлено условие: если переменная "optirun_on" не пустая, то автоматически включается PRIME_RENDER_OFFLOAD и проверка nvidia_vk_icd_file

###Scripts version 2195### Дата: 30.05.2023 / Размер скачиваемого обновления: 16 мегабайт.
* исправлена установка Rockstar Games Launcher (ALT bug 46277)
* временно убран установщик ROBLOX (ALT bug 46283)
* добавлена поддержка DXR и DLSS в Alt Linux (необходимо выбирать новейшие версии DXVK и VKD3D)

###Scripts version 2194### Дата: 30.05.2023 / Размер скачиваемого обновления: 9 мегабайт.
* HOTFIX - убрана проверка nvml в каталоге plugins

###Scripts version 2193### Дата: 30.05.2023 / Размер скачиваемого обновления: 15 мегабайт.
* обновление функций выбора 3D api, DXR, DLSS, FAKE_DLSS
* обновлен dxvk-nvapi до версии 0.6.3
* обновлен FAKE_DLSS 230506 (FidelityFx Super Resolution 2.2-3001-0-9-1683395145)

###Scripts version 2192### Дата: 30.05.2023 / Размер скачиваемого обновления: 9 мегабайт.
* исправлено "убегание" окна интерфейса при изменении его размера
* HOTFIX - переход по пути до .exe файла

###Scripts version 2191###
Дата: 29.05.2023 / Размер скачиваемого обновления: 450 мегабайт.
* обновлен пакет библиотек libs_v43
    pressure-vessel	0.20230418.0	
    sniper	0.20230424.48416
    YAD 12.3
* исправлен облачный гейминг vkPlay Cloud (необходимо после обновления скриптов повторно переустановить vkPlay из вкладки АВТОУСТАНОВКА)
* восстановлена установка и запуск Plarium Play
* PortProton переведен на новую версию псевдографического интерфейса: YAD 12.3

###Scripts version 2190###
* добавлено автоопределение пути до запускаемого файла после выбора автоматической установки ITCH.IO (ALT bug 46278)
* полностью удален лончер FULQRUM GAMES из PortProton в связи с переходом всех их ПК игр в лончер STEAM (ALT bug 46279)

###Scripts version 2189###
* ускорен запуск Metal War Online при повторном запуске игры. Добавлен комментарий: На данный момент игра работает, но долго запускаеться из Лаунчера. После установки игры, при повторном запуске, игра будет запускаться быстро. (ALT bug 46275) Для применения исправления требуется снова запустить автоустановку MWO
* исправлено отображение иконок игры Panzar (ALT bug 46273)
* исправлено отображение иконок игры World of Sea Battle (ALT bug 46274)
* исправлена установка и запуск Ankama Launcher (ALT bug 46276)

###Scripts version 2188###
* установка Indiegala Client устанавливается в отдельный префикс IGCLIENT и добавлена информация при запуске лончера: После первого подтверждения логина в вашем браузере необходимо перезапустить игру
* временно убраны установщики которые треуют доработки:
    Genshin Impact (разработчики со своей стороны снова запретили запуск под wine)
    Plarium Play
    Electronic Arts App (после перехода с Origin на EA App лончер работает, но игры не запускаются)    
* добавлена возможность скачивания новой версии wine: PROTON_STEAM_8.0-2D (с помощью DOWNLOAD OTHER WINE)
* исправлено неправильное отображение иконки игры при запуске схожих по названию exe файлов: Setup, setup, Launcher, launcher (ALT bug 46269)

###Scripts version 2187###
* добавлена установка эмуляторов: (Спасибо chal55rus Sergey P.)
    Xenia
    FCEUX
    xemu
    Demul
    Rpcs3 
* добавлена установка игры: (Спасибо chal55rus Sergey P.)
    CONTRACT WARS
    Stalker Online
    Metal War Online

###Scripts version 2186###
* добавлена установка Genshin Impact (работает с оригинальным античитом)

###Scripts version 2185###
* обновлены версии:
    DXVK_GIT_VER="2.2-7"
    VKD3D_GIT_VER="1.1-3424"

###Scripts version 2184###
* фикс установки EveLauncher

###Scripts version 2183###
* небольшие изменения функции скачивания
* добавлен экспериментальный префикс PROGRAMS
* обновлены версии (исправлен запуск BattleNET и vkPlay на новейших версиях DXVK и VKD3D):
    DXVK_GIT_VER="2.2-1"
    VKD3D_GIT_VER="1.1-3414"

###Scripts version 2182###
* обновлены версии:
    PROTON_GE="8-3"
    DXVK_GIT_VER="2.1-85"
    VKD3D_GIT_VER="1.1-3413"

###Scripts version 2181###
* обновлены версии:
    PROTON_GE="8-2"
    DXVK_GIT_VER="2.1-79"
    VKD3D_GIT_VER="1.1-3410"

###Scripts version 2180###
* обновлен WINE_LOL_GE_7.0-8 (League of Legend снова работает)

###Scripts version 2179###
* скомпилирована и добавлена на GitHub версия WINE от нашего проекта: WINE_8.5_LG (работаю видеоролики в Atomic Heart)
* исправлены видеоролики в игре Atomic Heart (необходимо после обновления скриптов повторно переустановить vkPlay из вкладки АВТОУСТАНОВКА)

###Scripts version 2178###
* обновлены версии:
    PROTON_LG="7-54" (Исправлена работа сервисов Epic Games Launcher)
    PROTON_GE="7-54" (Исправлена работа сервисов Epic Games Launcher) 
    DXVK_GIT_VER="2.1-51"
    VKD3D_GIT_VER="1.1-3339" (улучшена работа The Last of Us, Uncharted и других DX12 игр)

###Scripts version 2177###
* Обновлен пакет библиотек libs_v42:
    исправлена установка League of Legends
    исправлены проблемы с первичной авторизацией в разных лончерах при использовании PROTON_LG
    окончательно исправлена проблема запуска RDR2 купленной в Epic Games Launcher
* добавлена инструкция установки PortProton для ОС "Alt Linux (Sisyphus)" в README.md и на сайте linux-gaming.ru:
    su -
    epm full-upgrade
    epm ei
    epm play portproton

###Scripts version 2176###
* Обновлен пакет библиотек libs_v41
    pressure-vessel	0.20230314.0	
    sniper	0.20230314.45253
* обновлены версии:
    PROTON_LG="7-53" 
    PROTON_GE="7-53" 
    DXVK_GIT_VER="2.1-48"
    VKD3D_GIT_VER="1.1-3325"
* обновлен шаблон default префикса (предустановлен VulkanRT для работы игры RDR2 - требуется тест)
* обновлена версия vkBasalt для совместной работы с новейшими версиями DXVK и VKD3D (спасибо Vuursteen за компиляцию)

###Scripts version 2175###
* Обновлен список благодарностей платным подписчикам на https://boosty.to/portwine-linux.ru

###Scripts version 2174###
* обновлены версии:
    PROTON_LG="7-51" 
    PROTON_GE="7-51" 
* добавлена переменная PW_USE_GSTREAMER в настройки запуска для включения/выключения gstreamer (воспроизведение видео в играх)
* небольшие улучшения PortProton

###Scripts version 2173###
* добавлено сохранение размера окна главного меню PortProton (необходим пакет wmctrl установленный в системе)

###Scripts version 2172###
* небольшие улучшения поиска .exe файлов 

###Scripts version 2171###
* в пункт меню "УСТАНОВЛЕННЫЕ" автоматически добавляются все ярлыки созданные в каталоге PortProton с помощью которых вы можете запускать установленные игры и приложения из самого PortProton
* пункт меню "УСТАНОВЛЕННЫЕ" автоматически переноситься как главная (первая) вкладка в PortProton, если у вас уже есть ярлыки установленных игр или программ
* небольшие улучшения и оптимизация скриптов

###Scripts version 2170###
* добавлен файл настроек для игры Hogwarts Legacy с рекомендациями по запуску и автоматическим переключением языка на русский

###Scripts version 2169###
* HOTFIX установки ROBLOX (обнолено)

###Scripts version 2168###
* добавлена установка ROBLOX

###Scripts version 2166###
* добавлен помощник создания ярлыка после установки игры/программы с помощью setup.exe
* в основном интерфейсе PortProton добавлена вкладка "УСТАНОВЛЕННЫЕ" в которой можно произвести поиск всех exe файлов во всех префиксах PortProton

###Scripts version 2165###
* HOTFIX для запуска Atomic Heart из VK Play (после обновления ОБЯЗАТЕЛЬНО кликаем заново автоустановку VK Play из PortProton)

###Scripts version 2164###
* добавлена поддержка аргумента --autoinstall [имя_скрипта_из_pw_autoinstall] - для возможности установки игры\программы без запуска основного интерфейса PortProton
* обновлен вывод аргумента --help из терминала
* добавлено принудительное отключение виртуального рабочего столя для vkPlay (для применения просто запустите повторно установку vkPlay)
* добавлен фикс отображения текста на некоторых системах при использовании steam (для применения просто запустите повторно установку steam)
* Обновлен пакет библиотек libs_v40
    - предустановлены все версии vcrun от 2005 до 2022
* Обновлен пакет библиотек plugins_v10
    - обновлен Proton EAC до актуального состояния
* увеличены кнопки в интерфейсе PortProton

###Scripts version 2163###
* Steam снова работает и по умолчанию запускается в Steam Deck режиме
* добавлен автоматический сброс настроек файла .ppdb при переустановке лончеров из меню PortProton
* добавлено создание ярлыка на рабочий стол

###Scripts version 2162###
* Обновлен пакет библиотек libs_v39
    - Uplay снова работает
    - предустановлены все версии vcrun от 2005 до 2019
    - множество мелких исправлений
* добавлено автоматическое обновление префикса после обновления библиотек 
* добавлена установка игры STALCRAFT

###Scripts version 2161###
* обновлены версии:
    PROTON_GE="7-49" 

###Scripts version 2160###
* обновлены версии:
    PROTON_GE="7-48" (используется по умолчанию)
    DXVK_GIT_VER="2.1"
    VKD3D_GIT_VER="1.1-3132"
export WINE_FULLSCREEN_FSR="1" (используется по умолчанию)

###Scripts version 2159###
* Обновлен пакет библиотек libs_v38 (HOTFIX)

###Scripts version 2158###
* Обновлен пакет библиотек libs_v37
    исправлена ошибка kernel32.dll при создании нового префикса

###Scripts version 2157###
* Обновлен пакет библиотек libs_v36
    depot 0.20230111.68
    pressure-vessel 0.20221215.0 scout
    scripts 0.20221215.0
    sniper 0.20230109.1
* обновлен шаблон default префикса

###Scripts version 2156###
* в EDIT_BD (НАСТРОЙКИ) добавлена переменная "PW_MANGOHUD_x32" которая включает MANGOHUD для 32-битных игр (временная необходимость для обхода ошибки работы MANGOHUD в 64-битных играх на некоторых системах)

###Scripts version 2155###
* обновлены версии:
    PROTON_LG="7-47"
    PROTON_GE="7-47"
    DXVK_GIT_VER="2.0-116"
    VKD3D_GIT_VER="1.1-3115"

###Scripts version 2154###
* обновлена версия PROTON_LG до 7-43

###Scripts version 2153###
* обновлены версии:
    PROTON_GE="7-43"
    DXVK_GIT_VER="2.0-36"
    VKD3D_GIT_VER="1.1-3094"
* исправлены вылеты игры Ведьмак 3 (next gen. DX12) Необходимо использование версии PROTON_GE_7-43

###Scripts version 2152###
* обновлен шаблон дял создания префикса (улучшено отобраение кирилицы в некоторых приложениях, например Path of Exile)
* добавлена установка игры Path of Exile
* обновлены GIT версии DXVK и VKD3D:
    DXVK_GIT_VER="2.0-34"
    VKD3D_GIT_VER="1.1-3088"
* добавлено автоматическое отключение vkbasalt при использовании GIT версий DXVK и VKD3D (временно)
* libs_v34 (обновлен контейнер и произведен перенос шаблона префикса из каталога plugin в каталог libs)
    pressure-vessel	0.20221130.0			
    sniper	0.20221130.0
    для экономии места, шаблон default_pfx запакован в архив
* обновлена версия FAKE_DLSS до 091122
* обновлена поддержка DLSS для видеокарт NVIDIA серии RTX (требуется проверка)

###Scripts version 2151###
* добавлена установка игры Panzar - Российская клиентская сессионная многопользовательская онлайн-игра 3D MMO, сочетающий в себе несколько жанров,из RPG, MOBA и шутеров от отечественных разработчиков Panzar Studio (спасибо chal55rus) + бонус: улучшенная из коробки графика в игре с помощью vkbasalt

###Scripts version 2150###
* добавлена установка игры Warframe

###Scripts version 2149###
* возвращена установка Windows версии STEAM (проблема с миганием окон внутри клиента еще актуальна, но на работу игр не влияет)
* добавлена установка Indiegala Client

###Scripts version 2148###
* добавлена автоматическая установка игры Crossout (античит EAC проверен) Внимание: Если после запуска лончера будет ошибка - она на работу не влияет, просто нажмите close для её закрытия.

###Scripts version 2147###
* создан репозиторий https://github.com/Castro-Fidel/vulkan/releases с версиями DXVK и VKD3D скомпилированные специально для работы под контейнером, что уменьшает проблемы у увеличевает количество запускаемых игр 
* версии по умолчанию:
    export DXVK_STABLE_VER="1.10.3-28"
    export DXVK_GIT_VER="2.0-26"
    export VKD3D_STABLE_VER="1.1-2602"
    export VKD3D_GIT_VER="1.1-2967"
* вы всё еще можете выставить для отдельных игр стандартные версии DXVK и VKD3D и они скачаются с офф. репозиториев GitHub
* решена проблема с игрой League of Legends на некоторых системах (например Rosa Linux)

###Scripts version 2146###
* добавлено переключение языка интерфейса в разделе "НАСТРОЙКИ PORTPROTON"
* добавлена возможность скачивания новой версии PROTON STEAM 7.0-5
* небольшие исправления и улучшения скриптов

###Scripts version 2145###
* добавлена возможность смены версий DXVK и VKD3D в файле настроек игры .ppdb и глобально в user.conf с помощью переменных (значения приведены для примера):
    export DXVK_STABLE_VER="1.10.3" 
    export DXVK_GIT_VER="2.0"
    export VKD3D_STABLE_VER="2.6"
    export VKD3D_GIT_VER="2.7"
* для League of Legends по умолчанию выбана версия DXVK 1.10.2 - как более стабильная для данной игры

###Scripts version 2144###
* обновлена версия WINE для League of Legends

###Scripts version 2143###
* из за проблем связанных с EA Launcher, временно возвращен установщик Origin

###Scripts version 2142###
* добавлен альтернативный FTP сервер для обновлений компонентов PP если не удалось скачать с основного сервера GITHUB
* добавлен вывод текущих версий DXVK и VKD3D при их выборе в интерфейсе PortProton
* изменена перемееная WINE_WIN_START="start /i /b /wait /high /unix" для увеличения приоритета запускаемого приложения (тест) и более подробного вывода информации при создании Лога.
* для любителей MMORPG и слабого железа добавлен автоматический установщик Fulqrum Games для запуска Royal Quest — массовая многопользовательская онлайн-игра, разработанная Фирмой «1С» и Katauri Interactive. Спасибо chal55rus (Sergey P.)
* добавлен автоматический установщик PlariumPlay для запуска игры Raid: Shadow Legends
* небольшие улучшения локализации

###Scripts version 2141###
* HOTFIX - добавлена иконка EA

###Scripts version 2140###
* значительно улучшена локализация интерфейса PortProton. 
* добавлено множество всплывющих подсказок при наведении курсора мыши
* добавлена переменная USE_WINE_DXGI в EDIT_DB (настройки)
* добавлена функция модульного обновления DXVK и VKD3D-PROTON из серверов GitHub
* добавлен выбор версий DXVK и VKD3D-PROTON при запуске игр/лончеров
* изменена автоматическая установка ORIGIN на EA Launcher (бета тест)

###Scripts version 2139###
* добавлена функция переустановки PortProton из меню самого PortProton и с помощью аргумента "--reinstall" в терминале
* обновлена версия PROTON_LG 7.34 на основе PROTON GE 7.39 (Обновлена поддержка запуска игры: "Overwatch 2")

###Scripts version 2138###
* добавлена установка игры Калибр (спасибо chal55rus за помощь)

###Scripts version 2137###
* обновлена версия PROTON_LG 7.32 на основе PROTON GE 7.38 (Добавлена поддержка запуска игры: "Uncharted: Legacy of Thieves")
* небольшие оптимизации скриптов для запуска PortProton

###Scripts version 2136###
* добавлен автоустановщик "Lesta Game Center" и автоматическое обновление ярлыков, при условии что LGC уже установлен, но запущен ярлык для WGC.

###Scripts version 2135###
* обновлен "PROTON_GE" до версии 7-37 (версии dxvk и vkd3d обновлены)

###Scripts version 2134###
* добавлена вкладка WINE-GE-CUSTOM в GET_OTHER_WINE для скачивания версий вайн LUTRIS
* обновлена версия PROTON_LG 7.31 (совместно с dxvk и vkd3d)
* изменён автоустановщик MY.GAMES на vkPlay (с созданием отдельного префикса VK_PLAY)

###Scripts version 2133###
* обновление libs_v33 (контейнер steam runtime sniper 29.09.2022, версия MANGOHUD 0.6.8)
* обновление plugins_v8 (обновлена версия FAKE DLSS - FSR 2.1.1)
* из меню EDIT_DB удалены переменные в которых более нет необходимости
* произведена небольшая оптимизация скриптов для ускорения запуска игр 
* ORIGIN снова работает (если у вас уже установлен ORIGIN, включите USE_TERMINAL в EDIT_DB)

###Scripts version 2132###
* добавлен фикс для работы PortProton на системах Alt и Simply Linux (подготовка к возможному добавлению в репозитории)
* ВНИМАНИЕ! Сайт portwine-linux.ru который снова заработал - ФЕЙК! Что за человек это сделал и с какими мотивами - неизвестно. Так что будте бдительны! Сайт нашего проекта: LINUX-GAMING.RU - и еще раз попрошу всех авторов своих сайтов и каналов на Youtube сменить ссылки у себя. Спасибо.

###Scripts version 2131###
* исправлены ссылки со старого сайта на новый 
* префикс переменных временно возвращен на "PW_". 

###Scripts version 2130###
* по умолчанию используется WINE версии PROTON_LG (основан на wine-ge-custom с добавлением патчей необходимых для PortProton) Вы всё так же можете использовать версию PROTON_GE выбрав его в меню при запуске .exe файла.
* в связи с ребрендингом и переходом на новую PROTON_LG ветку WINE-PROTON, значительно обновлены скрипты
* ВНИМАНИЕ: префикс переменных в "EDIT_DB" и "user.conf" изменился с "PW_" на "PW_". При первом запуске после обновления, обновяться и ваши файлы настроек.

###Scripts version 2129###
* произведена оптимизация части скрипта отвечающая за dxvk и vkd3d

###Scripts version 2128###
* обновлен "plugins_v7" 
* обновлены библиотеки для работы FAKE DLSS (обновлена версия FSR до 2.1) 
* добавлена функция подмены видеокарты для значительного увеличения списка поддержки игр с FAKE_DLSS (активируется автоматически при включении USE_FAKE_DLSS в EDIT_DB)
* ускорено создание нового префикса
* обновлен "PROTON_GE" до версии 7-33 (версии dxvk и vkd3d обновлены)

###Scripts version 2127###
* обновлен "plugins_v6" (добавлены библиотеки для работы FAKE DLSS)
* добавлена возможность включения поддержки USE_FAKE_DLSS в меню EDIT_DB (Работает на ЛЮБОЙ видеокарте с поддержкой Vulkan)

###Scripts version 2126###
* обновлен "PROTON_GE" до версии 7-30 (версии dxvk и vkd3d используются из PROTON_STEAM_7.0-4)
* обновлен список платных подписчиков в разделе "Авторы и спасибы" которые поддерживают развитие проекта на https://boosty.to/linux-gaming.ru

###Scripts version 2125###
* HOTFIX - start.sh

###Scripts version 2124###
* обновлен "PROTON_GE" до версии 7-29
* обновлен "PROTON_STEAM" до версии 7.0-4
* обновлен плагин pp-games-lib

###Scripts version 2123###
* HOTFIX - скачивание PROTON GE при использовании режжима GALLIUM NINE
* добавлена русификация CREDITS (Авторы и спасибы) - спасибо chal55rus
* добавлена русификация плагина pp-games-lib - спасибо zorn

###Scripts version 2122###
* добавлен плагин pp-games-lib в новый каталог PortProton/data/plugins/ подробности на github (автор плагина: товарищ zorn) https://github.com/zorn-v/PortProton-games-library
* обновлены срипты установки и запуска League of Legends (обновлен WINE_LOL_GE_7.0-4 - отныне нет необходимости вводить пароль рут для запуска League of Legends)
* для работы GALLIUM_NINE по умолчанию используется PROTON_GE
* в режиме GALLIUM_NINE исправлена работа лаунчеров (таких как Epic Games)
* для Wargaming Game Center аргумент запуска "--disable-gpu" отключаестя автоматически при исползовании режима VULKAN.
* при использовании префикса DOTNET исправлено отображение черного экрана в некоторых приложениях
* добавлен выбор скачивания и автоматической установки версий WINE от Kron4ek 

###Scripts version 2121###
* обновлен "PROTON_GE" до версии 7-26
* исправлено создание ярлыков для WGC (для атоматического исправления уже существующих ярлыков, просто запустите установщик WGC из PortProton)
* добавлено автоматическое включение MANGOHUD при использовании ограничения FPS

###Scripts version 2120###
* обновлен "PROTON_GE" до версии 7-21
* обновлен "libs_v32" (Steam Runtime Snipers)
* обновлена установка ORIGIN

###Scripts version 2119###
* исправлено и ускорено создание DOTNET префикса
* HOTFIX - для PW_USE_D3D_EXTRAS 
* обновлена информация о проекте, разработчиках и платных подписчиков на boosty
* добавлена оптимизация игр и приложений при использовании сесcии Wayland (используется прямой запуск, не используя XWayland)

###Scripts version 2118###
* переменная PW_USE_D3D_EXTRAS снова включена по умолчанию (кроме WGC)
* обновлен "PROTON_STEAM" до версии 7.0-3
* добавлена информация о проекте, разработчиках и платных подписчиков на boosty (тестовый режим) 

###Scripts version 2117###
* исправлена установка и запуск World of Sea Battle
* для AUTOINSTALL по умолчанию включена переменная PW_USE_D3D_EXTRAS (необходима для стабильной установки лончеров в тихом режиме)

###Scripts version 2116###
* HOTFIX - Epic Games Store
* HOTFIX - League of Legends

###Scripts version 2115###
* ускорен запуск PortProton в Rosa Linux

###Scripts version 2111 - 2114###
* исправление ошибок

###Scripts version 2110###
* обновлен "PROTON_GE" до версии 7-20
* исправлена работа игры World of Warplanes
* переменная PW_D3D_EXTRAS_DISABLE переименована в PW_USE_D3D_EXTRAS и выключена по умолчанию (в связи с развитием WINE сторонние библиотеки DirectX нужны в меньшем количестве игр)

###Scripts version 2109###
* обновлен "libs_v31" (HOTFIX для Rosa Linux)
* обновлен "PROTON_GE" до версии 7-19
* исправлена работа Overwatch

###Scripts version 2108###
* HOTFIX  - для правильной работы в Rosa Linux

###Scripts version 2107###
* ускорен запуск контейнера
* оптимизация скрипта start.sh
* обновлен "libs_v30" (восстановлена работа vkBasalt на предыдущих версиях OS Linux)
* обновлен "PROTON_GE" до версии 7-18

###Scripts version 2106###
* обновлен libs_v29 (steam runtime sniper 20220509, mangohud 0.6.7, vkBasalt 0.3.2.5)
* для включения "AMD FidelityFX Super Resolution" в "EDIT_DB" добавлен переменная "WINE_FULLSCREEN_FSR"
* улучшено качество изображения при использовании FSR (Работает во время использования любой версии ProtonGE в полноэкранном режиме при разрешении ниже стандартного для экрана)
* улучшена производительность vkBasalt
* улучшение производительности в играх при использовании API VULKAN (DXVK и VKD3D)
 
###Scripts version 2105###
* обновлен "PROTON_STEAM" до версии 7.0-2
* обновлен "PROTON_GE" до версии 7-16
* обновлен "WINE_LOL_GE" до версии 7.0-2 + скрипы установки и запуска (ускорен запуск клиента игры)
* удален "Bethesda.net Launcher" из AUTOINSTALL (из за его переезда в STEAM)
* улучшены функции создания образа префикса и его распаковки 
* улучшение локализации

###Scripts version 2104###
* HOTFIX - скачивание и обновление winetricks
* при создании лога убраны все d3dx* и d3dcomp* для удобства чтения

###Scripts version 2103###
* обновлен режим запуска контейнера
* временно переменная PW_USE_AMDVLK_DRIVER не работает 

###Scripts version 2102###
* исправлена работа GALLIUM_NINE на интегрированных видеокатрах от Intel
* исправлено переключение AMDVLK - RADV
* увеличениние FPS в играх до 20% (для всех режимов запуска)

###Scripts version 2101###
* фикс работы WINETRICKS (новый prefix manager) при отсутствии winetricks.log
* обновлен "libs_v28" (обновление MANGOHUD до версии 0.6.6-1)

###Scripts version 2100###
* обновлен "libs_v27" (унификация каталогов библиотек под разные ОС Linux)
* MANGOHUD снова работает в режиме OPENGL
* добавлен лаунчер World of Sea Battle (ТЕСТ)

###Scripts version 2099###
* обновлен "PROTON_GE" до версии 7-14
* обновлен "libs_v26" (обновление контейнера Steam Runtime Sniper)
* обновлен "plugins_v5"
* добавлена проверка наличия библиотеки d3dadapter9 в системе (неоходимо для работы GALLIUM_NINE на большем кол-ве ОС Linux)
* ускорено создание нового префикса
* по умолчанию для wine используется тема light (после создания нового, или чистки текущего префикса)
* в EDIT_DB добавлена переменная PW_USE_SHADER_CACHE для управление кешированием шейдеров (отключать только при наличии микрофризов в игре)
* удален STEAM_PP из AUTOINSTALL (так как есть нативная версия STEAM для Linux со своим wine-proton) 

###Scripts version 2098###
* из за возможных проблем с некоторыми играми по умолчанию MANGOHUD выключен (включается в EDIT_DB -> MANGOHUD, или глобально добавлением export PW_MANGOHUD=1 в user.conf)

###Scripts version 2097###
* ускорен запуск всех приложений в PortProton до 200% в зависимости от системы
* обновлены дополнительные библиотеки "plugins_v4" (добавлена поддержка GALLIUM_NINE)
* добавлен выбор режима "GALLIUM_NINE" (поддержка нитивного DirectX9 на видеокарте с MESA драйвером)
* в новый интерфейс для WINETRICKS добавлена вкладка settings
* в EDIT_DB добавлена переменная PW_USE_AMDVLK_DRIVER (использовать драйвер AMDVLK вместо RADV на видеокартах от AMD)
* добавлена архивация ярлыков при создании образа префикса
* добавлено востановление ярлыков после распаковки образа префикса (путь до .exe файла корректируется автоматически)
* улучшена работа виртуального рабочего стола
* explorer изменен на winefile (исправлено определение свободного дискового пространства)
* отключена загрузка mono и gecko для League of Legends (ускоряет первый запуск)
* для принудительного использования AMD видеокарты, вместо NVIDIA, можно добавить "export DRI_PRIME=1" в user.conf

###Scripts version 2096###
* добавлена проверка на переменную LANG для работы PortProton на STEAM-DECK
* добавлен новый интерфейс для WINETRICKS
* обновлен "libs_v25" (обновлен steam runtime sniper, добавлена поддержка "MANGOHUD" и "vkBasalt" для систем: "RED OS" и "OpenSUSE")
* в EDIT_DB добавлена переменная PW_FIX_VIDEO_IN_GAME (требуется для воспроизведения видео в некоторых играх, чтобы оно не было искажено, окрашено в розовый цвет)

###Scripts version 2095###
* обновлен "libs_v24" (hotfix)

###Scripts version 2094###
* откат "PROTON_GE" до версии 7-9

###Scripts version 2093###
* обновлен "PROTON_STEAM" до версии 7.0-1B
* обновлен "PROTON_GE" до версии 7-10
* реализовано создание резервных копий префиксов (WINE SETTINGS -> CREATE PFX BACKUP)
* времено востановление копий производится с помощью ПКМ на *.ppack (образ бэкапа) и открыть с помощью... PortProton
* реализованна полная поддержка Rosa Linux (установщик есть в офф. репозиториях)

###Scripts version 2092###
* добавлено разделение настроек WINE и PORTPROTON в основном интерфейсе
* добавлено автоматическое создание резервных копий установленных скриптов, перед их обновлением (востановление копий реализовано в SCRIPTS FROM BACKUP во вкладке PORTPROTON SETTINGS)
* прочие небольшие улучшения скриптов связанных с релизом PortProton v1.0

###Scripts version 2091###
* RELEASE PORTPROTON v.1.0

###Scripts version 2090###
* HOTFIX - исправлено создание символьных ссылок

###Scripts version 2086 - 2089###
* обновлен "PROTON_STEAM" до версии 7.0-1
* обновлен "libs_v22.2" (обновление контейнера Steam Runtime Sniper)
* обновлены дополнительные библиотеки "plugins_v3" (добавлен "EasyAntiCheat_Runtime" и обновлен "BattlEye_Runtime")
* добавлена возможность создавать пользовательские префиксы
* исправлена работа "AUTOINSTALL" после обновления "Arch Linux"
* "League of Legends" ставиться в отдельный префикс, что ускоряет его запуск (не требуется обновления префикса при каждом запуске)
* по умолчанию существует пустой префикс "DOTNET" при запуске которого он автоматически наполняется библиотеками: "physx mfc42 vcrun2019 dotnet20sp2 dotnet48"
* добавлено сохранение приоритетных пользовательских настроек (db файлов) внутри каталога с запускаемым .exe файлом 
* переработано основной интерфейс PortProton (AUTOINSTALL открывается по умолчанию на первой вкладке, во вкладке SETTINGS добавлен выбор префикса и создание нового префикса)
* добавлена проверка в какой префикс установлен Launcher из AUTOINSTALL
* добавлено отображение истории изменений до обновления PortProton

###Scripts version 2085###
* добавлен редактор аргументов для ".exe" файла в интерфейс "EDIT_DB"
* добавлен выбор версии "WINDOWS" в интерфейс "EDIT_DB"
* добавлен редактор переменной "WINEDLLOVERRIDES" в интерфейс "EDIT_DB"
* добавлен "AUTOINSTALL WITH WINETRICKS" в интерфейс "EDIT_DB" для установки "WINDOWS" библиотек 

###Scripts version 2084###
* улучшена функция отображения иконки запускаемого файла в графическом интерфейсе PortProton
* исправлена функция изменения в интерфейсе PortProton кнопки "CREATE_SHORTCUT"

###Scripts version 2083###
* добавлено отображение иконки запускаемого файла в графическом интерфейсе PortProton
* исправлено создание множества файлов .png в каталоге с .exe во время создания ярлыка
* в интерфейсе PortProton кнопка "CREATE_SHORTCUT" изменяется на "DELETE_SHORTCUT" при включении ярылыка в меню -> игры

###Scripts version 2082###
* HOTFIX - AUTOINSTALL для EGS

###Scripts version 2081###
* исправлена установка GOG при отсутствующем префиксе
* проверен и обновлен WINE PROTON_GE_7.1-2

###Scripts version 2080###
* добавлено отображение прогресса работы winetricks и скачивания библиотек во время обновления префикса
* добавлено отображение процесса запуска с выводом лога на лету при использовании режима DEBUG
* убран из DEBUG вывод информации не влияющий на работу PortProton (gstreamer, ntlm, kerberos)

###Scripts version 2079###
* исправлена возможность запуска DLSS на некоторых системах и играх
* уменьшено загрузочное лого на 30%

###Scripts version 2078###
* добавлена работа Red Dead Redemption 2 купленная и запущенная в Epic Games Launcher

###Scripts version 2077###
* исправлены пустое окно выбора VULKAN/OPENGL с некоторыми db файлами
* основные функции GUI на yad вынесены в отдельный файл

###Scripts version 2076###
* HOTFIX - создание симлинков

###Scripts version 2075###
* HOTFIX - исправлен режим запуска OpenGL 

###Scripts version 2072-2074###
* HOTFIX - исправлен запуск League of Legends

###Scripts version 2071###
* добавлена возможность скачивать другие версии WINE при запуске exe файла (в выпадающем списке выбора WINE)
* обновлен режим запуска gamemode (исправлена ошибка libgamemode.so)
* добавлена оптимизация FSYNC при условии использования ядра 5.16+ (повышает FPS)
* добавлен новый режим запуска: "VULKAN (WINE DXGI)" необходимый для некоторых новых игр использующих DX12

###Scripts version 2070###
* добавлена переменная PW_D3D_EXTRAS_DISABLE в EDIT_DB для возможности отключения сторонних библиотек DirectX
* откат MANGOHUD до стабильной версии из libs_v19.2
* исправлено прерывание загрузки из интернета
* обновлен WINE_LOL_GE до версии 7.0

###Scripts version 2069###
* добавлена поддержка OpenSUSE (vkBasalt и MANGOHUD)
* исправлена установка GOG (для OpenSUSE и Fedora)
* обновлен библиотеки plugins до v.2.0:
        - BattlEye_Runtime (10 January 2022)
        - d3d_extras v.2.0
        - nvapi v.0.5.1
        - nvml v.0.1.1

###Scripts version 2068###
* HOTFIX - исправлено скачивание WINE
* по умолчанию отключена переменная NV_PRIME_RENDER_OFFLOAD (можно включить с помощью EDIT_DB)

###Scripts version 2067###
* обновлены libs до версии v20 (используется новый контейнер Steam Runtime Sniper + обновлены: MANGOHUD, vkBasalt и доп. пакеты необходимые для PortProton)
* исправлена установка GOG
* исправлен черный экран в Epic Games (NVIDIA + driver v.495)
* исправлена отмена скачивания файлов во время использования AUTOINSTALL
* множество небольших исправлений

###Scripts version 2066###
* обновлен WINE PROTON_GE_7.0RC6-1 (совместно с dxvk и vkd3d)
* по умолчанию используется версия wine от PROTON_GE (можно заменить на PROTON STEAM добавив в user.conf: export PW_WINE_USE=PROTON_STEAM)
* добавлена проверка на количество db файлов для один .exe
* исправлено отключение загрузочного лого League of Legends
* обновлены db файлы

###Scripts version 2065###
* HOTFIX - корректировка завершения процессов yad и yad_v12_3

###Scripts version 2064###
* добавлено уведомление пользователю о возможных проблемах при запуске в Wayland сессии (один раз и только под Wayland)
* в debug добавлено отображение текущего типа сессии
* добавленно разделение changelog на русский и английский языки
* после очистки префикса (CLEAR PREFIX) добавлен перезапуск PortProton

###Scripts version 2063###
* проверка актуальности скриптов переведена с wget на curl (значительно ускоряет запуск PortProton)
* исправлен баг с перезапуском PortProton (быстрый повторный запуск)
* исправлены ошибки создания симлинков при запуске с PortProton.desktop
* изменено завершение скриптов PortProton 
* для оптимизации первого запуска игр/лаунчеров после использования функции AUTOINSTALL, при наполнении префикса с помощью winetricks, используется версия WINE что указана в db файле. 

###Scripts version 2062### (Экспериментальная версия не вошедшая в основную ветку)
* тест PROTON EXPEREMENTAL от 14.01.22 (совместно с dxvk и vkd3d)
* тест PROTON_GE 7.0 RC6 (совместно с dxvk и vkd3d)

###Scripts version 2061###
* продолжение подготовки установки PortProton из репозиториев

###Scripts version 2060###
* подготовлена возможность установки PortProton из репозиториев

###Scripts version 2059###
* обновлена автоустановка GOG

###Scripts version 2058###
* по умочанию выбран PW_WINE_USE=PROTON_STEAM для EGS

###Scripts version 2057###
* обновлены db файлы для EGS, UPLAY, STEAM
* добавлена кнопка обновления порта "UPDATE PORTPROTON" во вкладку "SETTINGS"

###Scripts version 2056###
* исключен xtrem из зависимостей (добавлено использование собственного эмулятора терминала с помощью yad)
* исправлена установка dotnet 4.5+ с помощью winetricks
* HOTFIX - скачивание библиотек и wine на некоторых системах (ТЕСТ)
* обновлен WINE_LOL_GE_6.16-5 со встроенными mono 6.3.0 + gecko 2.47.2
* добавлены эмуляторы duckstation epsxe project64 vba-m yabause (спасибо chal55rus)
* обновлен PROTON_STEAM до версии 6.3-8C_PW2 (обновлены dxvk и vkd3d)

###Scripts version 2055-1###
* обновлен db AnomalyLauncher

###Scripts version 2055###
* обновлен PROTON_STEAM до версии 6.3-8 (опять =)
* копирование шрифтов заменено на создание символьных ссылок
* в установщики эмуляторов добавлен Cemu

###Scripts version 2054###
* добавлен новый пункт в меню PortProton для установки эмуляторов (спасибо chal55rus)

###Scripts version 2053###
* HOTFIX - исправлены ошибки создания симлинков некоторых библиоткек из plugins_v1

###Scripts version 2052-5###
* правильная компановка отображения загрузки League of Legends

###Scripts version 2052###
* ребрендинг лого (исходник лого есть в Discord - жду ваши варианты иконок в формате png)
* добавлена обложка при загрузке клиента League of Legends
* добавлена анимация при загрузке PortProton 
* добавлена анимация при обновлении префикса и работы winetricks (с возможностью переключиться на вывод терминала внутри GUI)
* копирование d3d_extras заменено на создание символьных ссылок (еще немного увеличивает скорость запуска порта)

###Scripts version 2051###
* добавлена проверка и скачивание актуальной версии WINE для League of Legends перед запуском игры

###Scripts version 2050###
* HOTFIX - отображение версий WINE при создании db файла

###Scripts version 2049###
* добавлено скачивание из github нового архива plugins_v1 в котором содержится d3d_extras, beclient, nvml и nvapi (ускоряет первичный запуск PortProton)
* каталоги с новыми версиями PROTON STEAM и GE не удаляют старые версии
* обновлён wine для League of Legends до версии WINE_LOL_GE_6.16-3 (исправляет ошибки с обновлением клиента)
* произведен откат PROTON_STEAM к версии 6.3-7 (более стабильная версия)
* обновлен PROTON_GE до версии 6.19-5 (6.21-2 всё еще не стабилна)
* добавлен автоматический перезапуск игры/программы после наполнения префикса с помощью winetricks
* реализована полная поддержка DLSS (Спасибо VHSgunzo!)
* отдельного режима DXVK более не существует (режим VULKAN заменяет оба режима: DXVK и VKD3D)
* добавлена переменная "DX12_DISABLE" в EDIT_DB для принудительного отключения DirectX12 
* добавлена переменная "USE_WINE_DXGI" в EDIT_DB для принудительного использования встроенной библиотеки DXGI
* добавлена переменная "MANGOHUD_USER_CONF" для использования системных настроек MANGOHUD (GOverlay и т.п.)
* для удобства в интерфейсе EDIT_DB удалены приставки "PW_" (название переменных в db файлах остались без изменений)
* копирование библиотек DXVK и VKD3D заменено созданием символьных ссылок, что немного уменьшает время загрузки порта и увеличивает срок жизни для SSD =) 

###Scripts version 2048###
* HOTFIX - востановлена работа контейнера, vkBasalt и mangohud на системах основанных на Debian
* DLSS работает в играх под DX11+DXVK (скоро будет работать и под DX12)

###Scripts version 2047###
* автоматическое отключение gamemode для системы Red Hat (исправляет долгую загрузку wine)
* обновлен PROTON_STEAM до версии 6.3-8rc (cовместно с dxvk, vkd3d и nvapi) 
* обновлен PROTON_GE (dxvk, vkd3d из 6.21-1 и nvapi до  внрсии 0.5) 
* добавлены библиотеки для начальной поддержки Battle Eye
* обновлен контейнер до актуального состояния steam runtime soldiers
* добавлена поддержка DLSS (тест)
* добавлена поддержка DXR v1.1

###Scripts version 2046###
* update DXVK and VKD3D in PROTON_GE

###Scripts version 2045###
* добавлена возможность запуска нескольких приложений с помощью WINEFILE из трея.
* добавлен вывод user.conf в лог-файл
* небольшие улучшения локализации
* на github в архивы PROTON_STEAM и PROTON_GE добавлены mono и gecko (для уменьшения возможных проблем со скачиванием)
* PROTON_STEAM скачивается автоматически перед первым запуском PortProton

###Scripts version 2044###
* добавлена проверка для nvidia с нестандартными путями до nvidia_icd.json

###Scripts version 2043###
* улучшена работа функции использования гибридной графики intel + nvidia 

###Scripts version 2042###
* из за проблемы на стороне githab перезалиты libs_v17.2
* добавлена возможность удаления wine из графического интерфейса - Cпасибо Aldiserg (Dmitry)

###Scripts version 2041###
* убран аргумент "-с" для функций скачивания (исправляет редкие проблемы со скачиванием на некоторых системах) 
* отключен D3D12 при запуске в режимах DXVK и OpenGL
* улучшен эффект Curves.fx (менее тёмная картинка, при достаточном контрасте)
* улучшен эффект Bloom.fx (менее выраженный эффект и более естественные засветы)


###Scripts version 2040###
* возвращен прогресс бар для запуска League of Legends
* исправлено постоянное обновление префикса при запуске (при условии использовании одной версии WINE) 

###Scripts version 2037 - 2039###
* функция AUTOINSTALL снова работает без проблем
* возвращено разделение mangohud и mangohud --dlsym 

###Scripts version 2036###
* улучшено скачивание с github
* исправлено отключение MANGOHUD из EDIT_DB

###Scripts version 2035###
* в EDIT_DB добавлена возможность ограничения FPS
* обновлеение winetricks происходит только при условии его последуещего использования (если не установлены какие-нибудь компоненты)
* значитель уменьшена задержка при перезапуске порта
* ускорено обновление префикса после смены версии WINE
* улучшена работа индикации загрузки порта

###Scripts version 2034###
* добавлены всплывающие описания эффектов vkBasalt в интерфейсе для его настройки (будут еще дополняться)

###Scripts version 2033###
* HOTFIX для winetricks для установки vcrun2019 (спасибо VHSgunzo)

###Scripts version 2030 - 2032###
* HOTFIX - исправление ошибки распаковки обновлений на некоторых системах

###Scripts version 2029###
* MANGOHUD выключен по умолчанию (включается для каждой игры отдельно в EDIT_DB, либо глобально в /data/user.conf добавить: export PW_MANGOHUD=1

###Scripts version 2028###
* добавлена поддержка UBUNTU 21.10
* добавлен графический интерфейс для настройки vkBasalt под каждую игру
* добавлено автоматическое создание db файла при первом запуске *.exe

###Scripts version 2027###
* в редакторе db файлов (EDIT_DB) добавлены всплывающие описания к каждому параметру. 
* возващены libs_v17
* улучшен режим DEBAG 
* обновлены часть db файлов под новые режимы запуска

###Scripts version 2026###
* MANGOHUD работает под любыми режимами запуска и с любыми играми, даже если выбран неправильный режим запуска игры (правый_шифт+F12)
* удалена функция переодического запроса о донатах (теперь это только на Вашей совести =)
* обновлены команды управления режимами запуска:
    - удален режим VKD3D и на его месте теперь режим VULKAN (совместный режим DXVK и VKD3D)
    - из за изменений описанных выше, теперь не надо перезапускать лаунры под разные игры под VULKAN
    - увеличена производительность во многих играх работающих на DX9-11 при использовании PROTON_STEAM, или PROTON_GE
    - увеличена производительность во многих играх работающих на DX9-12 при использовании тестового PROTON_PW_6.19 (WMF работает)

###Scripts version 2023...2025###
* доработка новых функций для работы на разных ОС Linux

###Scripts version 2022###
* добавлен фикc для работы EVE Online
* добавлен в GUI вывод версий WINE используемых по умолчанию
* в функцию "GET OTHER WINE" добавлена вкладка с версиями WINE от linux-gaming.ru (тест)
* исправлено завершение тихого режима установки

###Scripts version 2021###
* HOTFIX - создание каталогов mono и gecko при первом запуске
* Добавлена поддержка работы PortProton под ROSA FRESH R12 (необходимые зависимости опубликованы на сайте)

###Scripts version 2020###
* HOTFIX - отрабатывания новой кнопки скачивания PROTON_GE

###Scripts version 2019###
* добавлена автоустановка League of Legends (Ура=) 
* добавлена поддержка DLSS (требуется включение в EDIT_DB параметра PW_USE_NVAPI_AND_DLSS)
* добавлена функция автоматического удаления старых версий контейнеров (libs_vXX)
* значительная переработка условий в скриптах
* уменьшена задержка при перезапуске порта
* добавлен GUI для выбора версии PROTON_GE c github
PS: За помощь в создании автоустановки LoL, отдельное спасибо Dezert1r!

###Scripts version 2018###
* обновлен PROTON_GE до версии 6.19-2 включая DXVK и VKD3D
* добавлено разделение версий MONO и GECKO для разных версий PROTON

###Scripts version 2017###
* обновлены версия контейнера до libs_v18 
* HOTFIX - восстановлена правильная работа gstreamer с играми VKD3D + PROTON_STEAM 
* временно Rockstar Games Launcher скачивается с вебархива (медленный вариант, но рабочий)
PS: Cefeiko - отдельный респект за помощь в отловле бага с контейнером! 

###Scripts version 2016###
* убрано удаление иконок внутри каталогов с играми после создания ярлыков
* HOTFIX - исправлено создание ссылок для MONO и GECKO при первом запуске порта

###Scripts version 2015###
* расширен функционал проверки существования mono и gecko
* добавлена новая функция check_symlink
* временно возвращено использование libs_v17
* в EDIT_DB добавлена возможность отключения winegstreamer 

###Scripts version 2014###
* обновлен WINE PROTON_STEAM до версии 6.3-7 совместно с DXVK и VKD3D
* реализован запуск League Of Legends (необходимо запускать с версией wine: github.com/Castro-Fidel/wine_builds/releases/download/WINE_LOL_GE_6.16-2/WINE_LOL_GE_6.16-2.tar.xz )

###Scripts version 2013###
* добавлен автоматический перенос содержимого каталога ~/.PortWINE в ../PortProton/data/tmp
* в лог созданный с помощью DEBAG добавлен вывод команды lspci | grep -i vga

###PortProton-97### 17.09.2021 
* глобальное обновление установщика порта и его перенос на github

###PortProton-96### 16.09.2021 ###Scripts version 2012### --- TEST ---
* PortProton переведен в режим обновлений "rolling release":
    - проверка и обновление скриптов в приоритете перед другими обновлениями
    - создана ветка github.com/Castro-Fidel/wine_builds/releases
    - реализован функционал позволяющий добавлять любую версию WINE/PROTON/GE/LUTRIS в каталог dist и эта версия автоматически появиться при выборе в графическом интерфейсе
    - обновлен скрипт установки порта
* проверка версии PortProton перенесена с ftp на github
* в функциях скачивания увеличено время тайм-аута с 2 до 20
* продолжение подготовки к переносу League Of Legends в PortProton
* возвращена переменная "WINEDLLPATH"
* отключены по умолчанию библиотеки: lsteamclient, GameOverlayRenderer, GameOverlayRenderer64

###Scripts version 2011###
* в GUI AUTOINSTALL добавлены лаунчеры GAMEFORGE (TEST), ANKAMA и GLYPH - Спасибо chal55rus (Sergey P.)!
* удален скрипт autoinstall и создан каталог pw_autoinstall (для удобного добавления новых автоустановщиков)
* в AUTOINSTALL обновлена версия скачиваемого GOG
* в GUI редактора db файлов добавлена кнопка "OPEN DB FILE" для внесение изменений в текстовом редакторе
* в функцию pw_other_fixes добавлен поиск и выключение автозапуска PunkBuster в реестре префикса

###Scripts version 2010###
* FIX - исправлено управление мышкой в Overwatch и рекомендованы пар-ры запуска DXVK + PROTON_GE
* добавлены все предустановленные шейдеры в vkBasalt.conf

###Scripts version 2009###
* FIX - исправлен перезапуск редактора db файлов при первом включении PW_GUI_DISABLED_CS (отключение запуска GUI)

###Scripts version 2008###
* HOTFIX - исправление функции pw_kill_autostart

###Scripts version 2007###
* HOTFIX - установки WGC

###Scripts version 2006###
* HOTFIX - для AUTOINSTALL
* в AUTOINSTALL добавлен MY.GAMES

###PortProton-95### 02.09.2021 ###Scripts version 2005###
* обновлен db файл для steam (под ProtonGE связь с интернетом снова есть) - Спасибо Cefeiko!
* обновлен WINE PROTON_GE 6.16-GE1
* переменная PW_GUI_DISABLED_CS сбрасывается при запуске порта (для совместимости со старыми ярлыками которые были созданы на предыдущих версиях порта)
* добавлена возможность создавать 32-х битный префикс (необходимо для будущей автоустановки League of Legends)
* в GUI AUTOINSTALL добавлены лаунчеры Bethesda.net Launcher и Rockstar-Games-Launcher - Спасибо chal55rus (Sergey P.)!
* улучшена функция pw_kill_autostart

###Scripts version 2004###
* HOTFIX - использование и редактирование db файла Battle.NET

###Scripts version 2003###
* HOTFIX - отключение новых обновлений для старых версий PortProton

###Scripts version 2002###
* HOTFIX для настройки db файлов

###Scripts version 2001###
* добавлен графический интерфейс для настройки db файлов

###PortProton-94### 25.08.2021 ###Scripts version 2000###
* добавлено автоматическое скачивание и обновление Proton GE
* db файлы создаются автоматически при запуске любого *.exe
* последние выбранные режимы запуска сохраняются автоматически в db файлы
* добавлены переменные для более точной настройки vkBasalt под каждую игру с помощью db файлов:
export PW_VKBASALT_EFFECTS="FakeHDR:cas" - можно изменять на любые эффекты из путь_до_порта/data/vkBasalt.conf
export PW_VKBASALT_FFX_CAS="0.7" - изменение резкости в играх (от 0 до 1 с шагом 0.01)
так же можно настроить эти пар-ры глобально и для всех игр с помощью: путь_до_порта/data/user.conf
PS: не забывает для активации добавить переменную: export ENABLE_VKBASALT=1 в db файл, или для глобального включения в user.conf
* добавлены условия для правильного определения переменных LD_LIBRARY_PATH и LD_PRELOAD при автоматическом перезапуске скриптов
* запуск нескольких приложений можно запустить только через один и тот же протон
* добавлена автоматическая очиста каталога Temp в префиксе порта
* создан новый скрипт functions_helper, в который перенесены все вспомогательные функции из runlib
* создана новая ветка обновлений скриптов v.2XXX
* упрощена структура скрипта runlib

###Scripts version 1125###
* PROTON_STEAM обновлен до v6.3-6b
* FIX winetricks и cabextract
* множество маленьких изменений и исправлений

###Scripts version 1124###
* выбор версии WINE (PROTON_STEAM v6.3-6rc4; PROTON_GE v6.15.2)
* добавлено отображение версии WINE в MANGOHUD
* переработан скрипт start.sh (уменьшен код при увеличении удобства использования)

###Scripts version 1123###
* в MANGOHUD по умолчанию добавлен вывод разрешения экрана
* добавлен db файл для игры DaysGone (значительно увеличивает FPS)

###Scripts version 1122###
* обновление скриптов для поддержки нового тестового 91 порта включенным FSR по умолчанию (FSR работает только с играми dx9-12 запущеными под vulkan и при выборе разрешения в игре ниже чем поддерживает монитор)

###Scripts version 1121###
* HOTFIX - перенос PW_NO_ESYNC=1 из default db в скрипт var
* HOTFIX - для успешного запуска игр WGC на системах где не работали игры WoWS и WoT

###Scripts version 1120###
* перенос unset переменных в разделе main скрипта runlib
* после автоустановки windows steam, не перезаписывается ярлык нативного steam в меню.
* перед автоустановкой игр добавлена функция kill_portwine

###Scripts version 1119###
* ESYNC отключен по умолчанию из за частой ошибки CXX на некоторых системах.
* при включении vkBasalt вместо эффекта Curves используется FakeHDR (минимальное затемнение при увеличении глубины цветопередачи)
* при включении vkBasalt уменьшена резкость casSharpness с 0.8 до 0.75

###Scripts version 1118###
* обновлены libs_v17 с интеграцией MANGOHUD, vkBasalt + reshade
* MANGOHUD и vkBasalt польностью интегрированы в контейнер
* MANGOHUD снова работает под всеми режимами запуска (OpenGL и Vulkan) включая 32-ух битные игры.
* HOTFIX - user.conf корректно переопределяет все переменные

###Scripts version 1117###
* доработка определение месторасполажения установленных шейдеров для vkBasalt
* добавлена переменная "PW_SANDBOX_HOME_PATH" при существовании которой закрывается доступ к домашнему каталогу

###Scripts version 1115 and 1116###
* тест обновления скриптов с github

###Scripts version 1114###
* добавлен пользовательский файл конфигурации (путь_до_PortProton/data/user.conf) который при наполнениии замещает настройки скрипта var и db файлов, но при обновлении скриптов остается неизменным, для сохранения ваших настроек.
* автоматическое изменение раскладки клавиатуры работает только при установке значении переменной export PW_XKBD_RU_HACK=1 (можно прописывать как в скрипт var, так и в user.conf)
* HOTFIX - определение месторасполажения установленных шейдеров для vkBasalt (для работы под Arch и Manjaro)
* проверка и обновления скриптов из github.com/Castro-Fidel/PortWINE/archive/refs/heads/master.tar.gz

###Scripts version 1113###
* обновлен dxvk до v1.9-51
* обновлен vkd3d до v2.4
* начальная поддержка нативной версии nvapi при условии, что wine его поддерживает
* тест vkBasalt (в каталог data добавлен vkBasalt.conf и добавлены переменные в скрипт var)

###PortProton-90### 28.06.2021
* обновлен Proton 6.3-5 (RELEASE)

###Scripts version 1112###
* mangohud влючаеться по клавишам: правый_шифт+F12 (Shift_R+F12)
* HOTFIX - включение vkd3d (dxgi=b)

###Scripts version 1111###
* обновлен DXVK и VKD3D из Proton 6.3-5 (RELEASE)
* обновлены библиотеки kerberos и wldap32 (исправляет ошибки подключения к интернету в некоторых играх, например World of Tanks)

###Scripts version 1110###
* mangohud включаеться по клавише F12 при условии, что он установлен в системе
* добавлена кнопка очистки префикса в раздел GUI -> SETTINGS
* добавлена кнопка удаления порта в раздел GUI -> SETTINGS
* добавлена кнопка удаления программ (WINE UNINSTALLER) в раздел GUI -> SETTINGS
* добавлена кнопка редактирования скрипта var в раздел GUI -> SETTINGS
* обновление winetricks отключенно (опять) и используется доработаная версия от ProtonGE
* изменены иконки внутри gui в трее

###PortProton-89### 25.06.2021 ###Scripts version 1109###
* обновлен wine до версии Proton 6.3-5-rc3
* обновлен DXVK и VKD3D из Proton 6.3-5-rc3

###Scripts version 1108###
* обновлен DXVK и VKD3D из Proton 6.3-5-rc1

###Scripts version 1107###
* добавлены db: OSU!; FarCry{3,4}; Control; Biomutant; ForzaHorizon4
* включено обновление winetricks (снова отремонтировано скачиваие vcrun20XX)

###Scripts version 1106###
* возвращен VKD3D из Proton 6.3-4b

###Scripts version 1105###
* для распаковки exe файлов при автоматических установках лаунчеров используется 7z вместо 7zr
* обновлен DXVK до версии 1.9
* исправлена автоматическая установка GOG
* автоматическое создание символьной ссылки users/steamuser/Documents в users/steamuser/My Documents
* добавлена иконка в трей для PortProton (завершение всех процессов по ПКМ --> "FORCE EXIT")
* добавлена возможность запуска нескольких приложений одновременно и закрывать всё одним нажатием ПКМ --> EXIT

###Scripts version 1104###
* крупное обновлеение контейнера (libs_v16):
    - добавлен /bin/yad_v12_3 версии 10.1 скомпилированный специально для будущего меню в трее)
    - обновлен MANGOHUD (требуется проверка под OpenGL)
    - обновлен 7z необходимый для будущей автоматической установки Rockstar Game Launcher
* для тестовой поддержки wayland добавлена переменная в скрипт var: GDK_BACKEND="x11"
* обновлены DXVK и VKD3D до актуального состояния на 12.06.2021

###Scripts version 1103###
* HOTFIX - исправление функции pw_kill_autostart

###Scripts version 1102###
* фикс создания ярлыка после автоматической установки STEAM
* в AUTOINSTALL добавлена функция pw_kill_autostart для запрета автозапуска лаунчера после автоматической установки
* добавлены настройки в ~/.Xresources для корректного отображения текста в xterm, если данного файла нет в корне домашнего каталога

###PortProton-87### - RELEASE
* cтабильная версия wine proton 6.3-4
* стабильные версии новых скриптов 1101

###Scripts version 1101###
* переделан запуск контейнера (исправлены проблемы с правильной подгрузкой библиотек)
* автоматическая установка DLL в префикс выполняется под контейнером
* winecmd запускается из под xterm установленного в контейнер, что избавляет xterm как зависимость.
* vcrun2019 снова устанавливается в штатном режиме
* исправлена ошибка в скрипте при монтировании в контейнер
* добавлено отображение скорости интернета и примерный остаток времени при скачивании libs, gecko, mono

###PortProton-86###
* обновлен wine до версии  GE 2
* обновлены либы до версии libs_v15

### Скрипты с версии 1095 по 1100 - эксперементальные ###

###Scripts version 1094###
* немного ускорена инициализация префикса
* расширена функция чистки префикса
* исправлено определение использования RUNTIME в логах
* ${PORT_WINE_TMP_PATH} под контейнетом всегда доступен, но только для чтения
* добавлен автоматический проброс /media и /mnt в контейнер порта что позволяет запускать игры и программы установленные не в домашнем каталоге, как если бы порт работал без контейнера
* в AUTOINSTALL добавлены лаунчены UPLAY и STEAM
* тестовый фикс пропадания текстур под DXVK на некоторых системах
* для систем основанных на Arch добавлен автоматический проброс /run/media
* все основные настройки контейнера перенесены в скрипт var: PW_RT_MOUNT_RO - только для чтения; PW_RT_MOUNT_RW - чтение и запись (пути писать в ковычках и разделять пробелом) Пример: PW_RT_MOUNT_RW=("/media" "/mnt" "/run/media/${USER}")

###Scripts version 1093###
* возвращена переменная в скрипте var: WINE_WIN_START="start.exe /i /unix" что возвращает запуск .bat файлов и решает проблему с запуском игры WoT из WGC

###Scripts version 1092###
* исправлена автоустановка WGC под запуском в контейнерном режиме
* добавлен фикс работы старых версий порта с новыми скриптами
* частичный откат кода со скриптов от PortProton-78
* контейнерный режим включен по умолчанию и отключается в скрипте "каталог_порта/data/scripts/var" переменной PW_USE_RUNTIME=(1 - включен; 0 - выключен)

###PortProton-85### 27.05.2021 ###Scripts version 1090###
* для подготовки к релизу используется стабилная версия wine: Proton 6.3-4
* до 4-x прибавка в ФПС в играх DX12 (на моем железе: HZD - x4; Graven - x2; Cyberpunk2077 - x1,25)
* глобальное изменение использование переменных (системных, wine и vulkan)
* в лог файл добавлена информация о текущей версии скриптов и используется ли RUNTIME
* возврат оригинальных значений системных переменных: PATH, LD_LIBRARY_PATH после окончания использования порта
* HOTFIX - убрано повторное исполнение функции start_portwine во время запуска debug
* HOTFIX - исправлены возможные проблемы старых игр использующие WMF
* HOTFIX - ошибки скачивания vcrun2019 на чистом префиксе

###PortProton-84### 23.05.2021 ###Scripts version 1089### - BETA
* обновлен WINE до версии Proton 6.9 GE 1
* контейнерный режим включен по умолчанию и отключается с помощью раскомментирования переменной в скрипте var #export PW_USE_RUNTIME=1
* более чем в 2 раза увеличена производительность игр под VKD3D (Cyberpunk2077 и т.п.) за счет исползования dxgi из dxvk под vkd3d
* для префикса по умолчанию включена версия windows 10
* реализовано создание символьных ссылок с библиотек gstreamer в контейнер runtime для исправления ошибок WMF (gst)

###Scripts version 1088###
* реализовано создание символьных ссылок с библиотек wine в контейнер runtime для исправления ошибок XACT (faudio)

###Scripts version 1087###
* добавлен вопрос об обновлении скриптов
* HOTFIX - полностью убрана переменная WINE_WIN_START

###Scripts version 1086###
* HOTFIX - изменена переменная export WINE_WIN_START="start.exe /b"

###Scripts version 1085###
* в скрипт var добавлена и временно включена переменная export PW_USE_RUNTIME=0 (требуется рашение проблемы с загрузкой faudio)
* добавлено автоматическое создание каталога "${WINEPREFIX}/drive_c/users/Public/Documents/Steam"
* HOTFIX - обновление скриптов после установки происходило только при повторном запуске порта

###Scripts version 1084###
* фикc запуска gui winetricks c терминалом

###Scripts version 1083###
* временно вернул работу winetricks без использования контейнера

###Scripts version 1082###
* HOTFIX - смена версии cabextract внутри libs_v14

###Scripts version 1081###
* HOTFIX - автоматичкское удаление wget из libs_v14, что бы winetricks использовал curl для скачивания

###PortProton-80### 19.05.2021 ###Scripts version 1080###
* обновлен WINE до версии Proton 6.8 GE 1
* обновлен контейнер в libs_v14 до версии Debian 10.9
* добавлен аргумент запуска RUNTIME "--filesystem=${PORT_WINE_PATH}" для возможности установки и использования порта вне $HOME
* перенос создания символьной ссылки на drive_c из скрипта setup в runlib

###Scripts version 1079###
* HOTFIX - libs_v13 исправленна битая ссылка c "runtime/lib64/ld-linux-x86-64.so.2" на "../lib/x86_64-linux-gnu/ld-2.15.so"

###Scripts version 1078###
* добавлена проверка подключения к интернету с помощью ping перед использованием curl (значительно ускоряет запуск порта при плохом соединении с интернетом)
* обновлены libs_v12 (пересобран контейнер и значительно уменьшен его размер)
* HOTFIX - запуск winetricks из GUI PortProton (контейнер уже умеет работать с winetricks, но всё еще есть недочеты по отображению gui)

###Scripts version 1077###
* HOTFIX - исправлено повторное скачивание libs_v11

###Scripts version 1076###
* при любом использовании winetricks добавлен аргумент -r (для автоматического перекачивания библиотек, если хеш-суммы не совпадают)
* winetricks запущенный с GUI работает без контейнерного режима
* временно глобально отклчени gamemode в скрипте var (необходим тест)
* начальная адаптация скриптов под контейнерный режим запуска wine
* libs_v11 обновлен и переведен полностью на контейнерный режим запуска
* в PortProton.desktop изменен аргумент с %U на %F

###PortProton-80### 11.05.2021 ###Scripts version 1075###
* обновлен WINE до версии Proton 6.8 GE 1
* обновлена инициализация и настройка  префикса под новые версии Proton GE

###Scripts version 1074###
* HOTFIX - добалено ожидание окончания создания префикса, перед продолжением использования порта

###Scripts version 1073###
* HOTFIX - создание каталога drive_c перед созданием симлинка на него

###Scripts version 1072###
* HOTFIX - создание префикса (каталог dosedevices с симлинками) под всеми ОС Linux и разными версиями Proton (включая GE)

###Scripts version 1071###
* HOTFIX - был ошибочно убран аргумент SkipBuildPatchPrereq для Epic (вернули)

###Scripts version 1070###
* HOTFIX - GUI возвращен в стандартный вид

###Scripts version 1069###
* обновлены db файлы
* HOTFIX -закомментирована переменная __NV_PRIME_RENDER_OFFLOAD=1 для работы некоторых игр в оконном режиме с видеокартой от NVIDIA

###PortProton-79### 04.05.2021 ###Scripts version 1068###
* обновлен Proton до версии 6.3-3 от 04.05.2021

###Scripts version 1067###
* HOTFIX - удален аргумент /b при запуске приложений (fix для WGC)
* фикс запуска функции pw_other_fixes
* добавлена проверка повторной установки EVE Online из AUTOINSTALL

###Scripts version 1066###
* виртуальный рабочий стол включенный из db файла, или глобально из скрипта "var" исправно работает с любой игрой/программой
* фикс работы переменной "PW_GUI_DISABLED_CS=1" прописанной в .desktop файле
* улучшеный режим запуска всех приложений с помощью аргументов start /b /unix

###Scripts version 1062, 1063, 1064 и 1065###
* HOTFIX - убрана переменная PW_VULKAN_USE из скрипта runlib

###PortProton-78### 03.05.2021 ###Scripts version 1061###
* обновлен Proton 6.3 (стабильная ветка + патченный netprofm.dll)
* полностью исправлена проблема с фокусом мыши
* отключена авто отчистка префикса во время обновления порта
* в GUI изменен цвет ссылок url на красный
* частичная чистка кода
* HOTFIX - исправлено ложное срабатывание проверки скачивания (проверка успешного скачивания/распаковки всех компонентов и удаление архивов если одно из условий не истина)
* при ошибке скачивания одного из компонентов PortProton добавлено оповещение с автоматическим перезапуском.

###Scripts version 1060###
* фикс работы EVE Online + Proton Experimental (netprofm.dll)

###Scripts version 1059###
* gnome-terminal отрабатывает не правильно, возвращен xterm
* вместо vcrun2015-2017 принудительно ставится vcrun2019 (так как имеет кумулятивные обновления)

###PortProton-77### 01.05.2021 ###Scripts version 1057###
* обновлен Proton Experimental от 29.04.2021
* используется default_pfx при создании нового префикса
* фикс выбора режима запуска при уже созданном ярлыке, но отсутствующем PW_VULKAN_USE

###Scripts version 1056###
* исправлена работа gnome-terminal если "$SHELL" не равен "/usr/bin/env bash"

###Scripts version 1055###
* fix YAD

###Scripts version 1054###
* добавлен p7zip в libs_v10
* изменен приотет использования терминала (системный в приоритете как для KDE, GNOME, Cinnamon и LXQT)
* в AUTOINSTALL реализованна "тихая" установка EVE Online

###Scripts version 1053###
* HOTFIX - перенос всех функций в скрипте runlib (наверх)
* добавлена переменная в default ##export PW_WINE_ALLOW_XIM=1, которая отключает XIM (X input manager)
* в функции pw_init_pfx добавлено копирование всех dll из библиотек wine/lib(64) в префикс (если префикса не существует)

###Scripts version 1052###
* отключена автоотчистка ~/.PortWINE
* отключение сервиса OriginWebHelperService.exe (правкой реестра) перенесена в скрипт var
* в AUTOINSTALL добавлена установка EVE Online

###Scripts version 1051###
* изменён db файл Origin для отключение сервиса OriginWebHelperService.exe (правкой реестра)

###Scripts version 1050###
* добавлен фикc установки Epic Games Launcher
* принудительно отключен сервис OriginWebHelperService.exe
* в AUTOINSTALL добавлена установка GoG Galaxy

###PortProton-76### 29.04.2021 ###Scripts version 1049###
* обновить Proton Experimental (2021/04/27)
* добавлен вывод changelog и debug во встроенном YAD (gui)
* в AUTOINSTALL добавлена установка Epic Games Launcher
* исправлена ошибка: 00bc:err:winediag:load_dxvk_config Couldnt load dxvk_config.dll

###Scripts version 1048###
* реализовано обновление скриптов "налету" (без необходимости перезапускать порт)

###Scripts version 1047###
* в AUTOINSTALL добавлены установки "Origin" и "Battle.net Launcher"
* увеличено время ожидания ответа при проверки связи с интернетом (ping -w5 -c1 github.com)
* увеличено количество попыток скачивания для неустойчивого интернет соединения (wget -c -t 10 -T 1)
* в GUI PortProton добавлена кнопка F.A.Q. для открытия справочной страницы linux-gaming.ru

###Scripts version 1046###
* обновлена верси VKD3D используемая по умолчанию до версии 2.3.1 (скрипт var, переменная export PW_DEF_VKD3D_VER=2.3.1)
* HOTFIX сохранение выбраного режима запуска в существующий файл db при создании ярлыка

###Scripts version 1045###
* HOTFIX установка компонентов при отсутствии winetricks.log

###Scripts version 1044###
* переработано основное диалоговое окно при запуске PortProton и добавлена вкладка AUTOINSTALL
* выбор debug снова есть при запуска с ярлыка PortProton
* минимальный набор библиотек для установки с winetricks перенесен в default db
* проверка уже установленных библиотек с помощью winetricks повторно не производится
* после создания нового префикса, требование перезапуска порта больше нет
* обновление префикса происходит в фоновом режиме
* улучшена работа прогресс-бара

###Scripts version 1043###
* HOTFIX создания ярлыка (использование png вместо ico)

###Scripts version 1042###
* при запуске PortProton.desktop добавлена кнопка AUTOINSTALL
* в AUTOINSTALL добавлена автоматическая установка WGC
* исправлено отображение иконок на DE GNOME

###Scripts version 1041###
* wine-mono обновлен до версии 6.1.2

###PortProton-75### 24.04.2021 ###Scripts version 1040###
* обновлен wine Proton experimental 6.3 от 23.04.2021
* добавлена функция pw_clear_pfx для очистки префикса порта во время обновления без затрагивания игр и программ
* проверка и настройка переменных для MANGOHUD добавлены функцию pw_mangohud_check
* версия VKD3D по умолчанию = 2.3
* добавлена поддержка DXR (RTX) в режиме VKD3D, при условии использования переменной PW_USE_DXR10=1
* переменная PW_USE_DXR10 добавлена в default db
* переменная PW_DXVK_NO_ASYNC переименованна в PW_VULKAN_NO_ASYNC и теперь отключает асинхронные вызовы как в DXVK, так и в VKD3D

###Scripts version 1039###
* фикс выбора режима запуска (dxvk, vkd3d, opengl)

###Scripts version 1038###
* распаковка tar.xz вынесена в отдельную функцию unpack_tar_xz
* добавлена проверка связи с серверами для автономной работы порта
* ускорена работа reset скрипта останавливающая все процессы порта
* исправлены ошибки связанные с остановкой отсутствующих pid-оф yad и процессов wine.
* удалено использование wineserver -k в функции kill_portwine (влияло на инициализацию префикса)
* добавлена очистка ~/.PortWINE, при условии установки новой версии порта
* добавлена вся информация из db файла и winetricks.log в debug
* удален каталог vars (из за db файлоа больше в нем нет необходимости)
* скрипт PortProton_vars перенесен в каталог scripts и переименован в var
* добавлена проверка установки mangohud в систему
* уменьшина ширина индикатора загрузки на 100px
* улучшено определение необходимого db файла для запуска

###PortProton-74### 20.04.2021 ###Scripts version 1037###
* обновлен wine до версии Proton 6.3-2 next
* в setup db изменен список библиотек (фикс  для "xatab") " mfc42  mfc120 vcrun2013"
* добавить выбор версий dxvk и vkd3d в db файле, с последующей закачкой с github при отсутствии в ~/.PortWINE/vulkan
* обновлены libs до v9 (добавлен пакет zstd для реализация функции смены vkd3d)
* произведена частичная чистка и оптимизация кода
* добавлен вывод changlog после обновления

###PortProton-73### 18.04.2021 ###Scripts version 1036###
* фикс для StarCraft (db)
* фикс работы порта в solus (отключение xterm)
* фикс создания циклической ссылки drive_c внутри drive_c
* удален &>>/dev/null из pw_run (ломает запуск неторорых игр и приложений)
* очистищен код функции pw_run (убрано условие optirun_on за ненадобностью)
* исправлен минимальный набор библиотек в default db (  mfc42 d3dcompiler_42 d3dcompiler_43 d3dcompiler_47 d3dx9)


###PortProton-72###   17.04.2021   ###Scripts version 1035###
* обновлен wine до версии Proton experimental-6.3-20210407b (совместно с dxvk и vkd3d)
* добавлен фикс работы 32-битных игр в режиме DXVK (export PW_FORCE_LARGE_ADDRESS_AWARE=1)
* изменен список библиотек для запуска неизвестных игр (для которых еще нет db файлов)
* добавлен dxvk.conf в каталог data
* обновлеы libs до v.8
* hotfix для EGS
* в dxvk и opengl режиме, по умолчанию выбран win7
* убран xterm из debug (иначе ломает шрифты)
* добавлена кнопка редактирования найденного db файла
* ТЕСТ: автоудаление PINNED_LIBS и отключение setup.sh --force
* изменение сравнения версий скриптов и портов "$(curl -s --list-only "linux-gaming.ru/ftp/current_version/blabla_ver")"
* автоматическая установка в префикс порта PW_DLL_INSTALL="vcrun2017   mfc42"
* исправлено создание db файла при создании ярлыков, в именах которых присутствует одниковвые названия запускаемого файла
* исправили создания префикса на некоторых системах при использования встроенного xterm из ~/PortWINE/libs

###PortProton-71###    11.04.2021
* отключено обновление libs, mono и gecko во время установки PortProton
* проверка версии glibc перед установкой, если версия ниже необходимой, то выводим ошибку
* добавлена проверка хеш-суммы порта на ftp перед установкой
* добавлен прогресс загрузки библиотек с интернета
* добавлен в debug полный путь до запускаемой игры/программы вместе с именем файла
* исправлено дублирование db файлов при создании ярлыков
* перенос libs с сервера linux-gaming.ru на github.com/Castro-Fidel/PortWINE/releases/
* скачивание mono оф. github mono
* скачивание gecko оф. ftp winehq
* в /data/scripts/vars/PortProton_vars добавлена переменная PW_MANGOHUD=1 что включает HUD для монитроринга FPS, нагрузку на CPU, GPU и т.п (при условии что в системе предустановлен пакет mangohud)
* обновлена локализация подсказок при наведении на кнопки на экране выбора режимов запуска (русская и английская версии)
* добавлена проверка соединения с серверами и докачки winetricks, libs, mono, gecko.
* произведена глобальная чистка кода и вынос множества решений в отдельные функции
* дебаг теперь открывается в системном текстовом редакторе
* в дебаг добавлен инвайт (ссылка-приглашение) на наш сервер Discord
* убран CREATE_SHORTCUT и LAUNCH при запуске PortProton.desktop
* убрано удаление кэша winetricks

###PortProton-70###    05.04.2021
* обновлен wine до версии proton 6.3-1
* обновлены dxvk и vkd3d поставляемые вместе с proton 6.3-1
* обновлены библиотеки до версии libs_v7
* обновлен Mono до 6.1.1
* обновлен Gecko до 2.47.2

###PortProton-65###    13.02.2021
* реализовано автоматическое обновление скриптов

###PortProton-63###    22.11.2020
* при запуске exe по ПКМ выбор режима появляется всегда (удобно для тестов)
* все настройки переехали в один файл PortProton (псевдографика использует YAD)
* обновлены runlib (добавлен YAD что бы не было необходимости устанавливать его в систему)
* ускорен запуск порта после изменения версии WINE 
* reset убивает процессы wine только для текущего порта
* winetricks теперь не скачивается при каждом запуске, а идет проверка актуальности версии
* добавлена функция использования базы данных для запускаемых игр и программ (автоматическая настройка префикса)
* добавлена функция тихой установки порта (sh PortProton-XX -rus, или sh PortProton-XX -eng)

###PortProton-51###    22.11.2020   -   RELEASE
* включает в себя 2 версии вайна: WINE PROTON 5.21 GE 1 и WINE PROTON 5.13 EXPEREMENTAL (переключаются автоматически, в зависимости от выбранного режима запуска dxvk, или vkd3d)
* обновлен DXVK до версии 1.7.3 (работают как старые игры требующие DirectX 9, так и новые с DirectX 11)
* обновлен VKD3D до версии 2.1 (работают новинки которые требуют DirectX 12. Например Cyberpunk2077 и Death Stranding)
* добавлена функция автоматического удаление мусора в виде steamclien.dll из префикса, реестра и библиотек предустановленного вайна
* обновлены скрипты (подробнее у нас на github)
значительно переработан и улучшен debug режим (запускается из каталога с портом)
* обновлены runtime библиотеки до версии libs_v4, что улучшает совместимость с разными ОС Linux и повышает производительность в играх
поддерживаются gamemode, FSYNC, ESYNC  из "коробки" 
* простое создание ярлыков с выбором режима запуска (+ возможно добавить свои параметры запуска к игре/приложению) 
* добавлена интеграция PortProton в рабочее окружение (root права не нужны, концепция порта не изменилась)

